> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute RetriggerExposure

> Retrigger the exposure calculation for this experiment. This will also retrigger all dependent metric calculations if 'retriggerDependentMetrics' is set to true.



## OpenAPI

````yaml /api/experiments/rollout.openapi.json post /v1/workflows/rollout/instances/{instance}:retriggerexposure
openapi: 3.1.0
info:
  title: Confidence Rollout API
  version: 1.0.0
  description: API documentation for rollout
servers: []
security: []
paths:
  /v1/workflows/rollout/instances/{instance}:retriggerexposure:
    post:
      summary: Execute RetriggerExposure
      description: >-
        Retrigger the exposure calculation for this experiment. This will also
        retrigger all dependent metric calculations if
        'retriggerDependentMetrics' is set to true.
      operationId: RetriggerExposure.execute
      parameters:
        - name: instance
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                parameters:
                  type: object
                  properties:
                    retriggerDependentMetrics:
                      type: boolean
                      description: Whether to retrigger dependent metric calculations
                  required:
                    - retriggerDependentMetrics
                  description: Parameters for the function.
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties: {}
      security:
        - admin: []
      servers:
        - url: https://experiments.confidence.dev
        - url: https://experiments.eu.confidence.dev
        - url: https://experiments.us.confidence.dev
components:
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````